<div class="app-max-width-wrapper">
  <ng-container *transloco="let t; read: 'moderate_organizations'">
    <div
      class="table-container profile-container"
      *ngrxLet="profile$; let profile">
      <ng-container *ngIf="profile">
        <h1 class="headline-container">{{t('review_unapproved_organization')}}</h1>
        <app-edit-organization-status-indicator
          [status]="profile?.account_state">
        </app-edit-organization-status-indicator>
        <app-edit-organization-overview
          [organization]="profile"
          [isEditable]="false">
        </app-edit-organization-overview>
        <div class="button-container">
          <button
            mat-flat-button
            color="warn"
            class="round-button"
            (click)="onDenyClicked({ id: profile.organization_id })">
            {{t('deny')}}
          </button>
          <button
            mat-flat-button
            color="primary"
            class="round-button"
            (click)="onAcceptClicked({ id: profile.organization_id })">
            {{t('accept')}}
          </button>
        </div>
      </ng-container>
    </div>
  </ng-container>
</div>
